# Enum Class VulkanSharingMode

java.lang.Object
java.lang.Enum<VulkanSharingMode>
com.io7m.jcoronado.api.VulkanSharingMode

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanSharingMode>`, `Constable`

public enum VulkanSharingMode extends Enum<VulkanSharingMode> implements VulkanEnumIntegerType

See Also:
  - "VkSharingMode"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_SHARING_MODE_CONCURRENT`
  Images can be used across multiple queue families without explicit ownership transfers.
  `VK_SHARING_MODE_EXCLUSIVE`
  An image is owned by one queue family at a time and ownership must be explicitly transfered before using it in another queue family.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanSharingMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanSharingMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_SHARING_MODE_EXCLUSIVE

    public static final VulkanSharingMode VK_SHARING_MODE_EXCLUSIVE
    An image is owned by one queue family at a time and ownership must be explicitly transfered before using it in another queue family.

  - ### VK_SHARING_MODE_CONCURRENT

    public static final VulkanSharingMode VK_SHARING_MODE_CONCURRENT
    Images can be used across multiple queue families without explicit ownership transfers.

- ## Method Details

  - ### values

    public static VulkanSharingMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanSharingMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant